from consul import Consul

from skd_env.common.base_env import BaseEnv


class ConsulEnv(BaseEnv):
    def __init__(self, host='127.0.0.1', port=8500, token=None, scheme='http', consistency='default', dc=None,
                 verify=True):
        super().__init__()
        self.consul = Consul(host=host, port=port, token=token, scheme=scheme, consistency=consistency,
                             dc=dc, verify=verify)

    def get_value(self, key):
        _, value = self.consul.kv.get(key)
        if value and 'Value' in value:
            return value['Value'].decode('utf-8')